--- old/usr/src/uts/common/io/fibre-channel/ulp/fcsm.c	2015-08-19 07:25:04.325125510 -0400
+++ new/usr/src/uts/common/io/fibre-channel/ulp/fcsm.c	2015-08-19 07:25:04.331198637 -0400
@@ -767,7 +767,7 @@
 			while ((count++ <= 30) &&
 			    (fcsm_num_attaching || fcsm_num_detaching)) {
 				mutex_exit(&fcsm_global_mutex);
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				mutex_enter(&fcsm_global_mutex);
 			}
 
@@ -1055,7 +1055,7 @@
 	count = 0;
 	while ((count++ <= 30) && (fcsm->sm_ncmds || fcsm->sm_cb_count)) {
 		mutex_exit(&fcsm->sm_mutex);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&fcsm->sm_mutex);
 	}
 	if (fcsm->sm_ncmds || fcsm->sm_cb_count) {
@@ -1568,7 +1568,7 @@
 				    "fciocmd: instance 0x%x, "
 				    "wait for port attach", instance));
 			}
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			fcsm = ddi_get_soft_state(fcsm_state, instance);
 		}
 		if (count > 30) {
--- old/usr/src/uts/common/io/gldutil.c	2015-08-19 07:25:04.569425137 -0400
+++ new/usr/src/uts/common/io/gldutil.c	2015-08-19 07:25:04.574809303 -0400
@@ -1351,7 +1351,7 @@
 	if (t > 600)
 		t = 600;	/* Let's be reasonable */
 	/* We're using ticks (lbolts) for our timeout -- convert from seconds */
-	t = drv_usectohz(1000000 * t);
+	t = drv_sectohz(t);
 	((gld_mac_pvt_t *)macinfo->gldm_mac_pvt)->rde_timeout = t;
 	}
 
--- old/usr/src/uts/common/io/hxge/hxge_main.c	2015-08-19 07:25:04.783667001 -0400
+++ new/usr/src/uts/common/io/hxge/hxge_main.c	2015-08-19 07:25:04.791172452 -0400
@@ -2430,7 +2430,7 @@
 
 		hxgep->timeout.link_status = 0;
 		hxgep->timeout.report_link_status = B_TRUE;
-		hxgep->timeout.ticks = drv_usectohz(2 * 1000000);
+		hxgep->timeout.ticks = drv_sectohz(2);
 
 		/* Start the link status timer to check the link status */
 		MUTEX_ENTER(&hxgep->timeout.lock);
--- old/usr/src/uts/common/io/ib/adapters/hermon/hermon_stats.c	2015-08-19 07:25:05.045958219 -0400
+++ new/usr/src/uts/common/io/ib/adapters/hermon/hermon_stats.c	2015-08-19 07:25:05.051496958 -0400
@@ -744,7 +744,7 @@
 	hermon_state_t		*state = (hermon_state_t *)arg;
 	hermon_ks_info_t	*ksi = state->hs_ks_info;
 	uint_t			i;
-	clock_t			delta = drv_usectohz(1000000);
+	clock_t			delta = drv_sectohz(1);
 
 	mutex_enter(&ksi->hki_perfcntr64_lock);
 	/*
--- old/usr/src/uts/common/io/ib/adapters/tavor/tavor_stats.c	2015-08-19 07:25:05.220821384 -0400
+++ new/usr/src/uts/common/io/ib/adapters/tavor/tavor_stats.c	2015-08-19 07:25:05.226701813 -0400
@@ -681,7 +681,7 @@
 		/* sleep for a second */
 		(void) cv_timedwait(&ksi->tki_perfcntr64_cv,
 		    &ksi->tki_perfcntr64_lock,
-		    ddi_get_lbolt() + drv_usectohz(1000000));
+		    ddi_get_lbolt() + drv_sectohz(1));
 	}
 	ksi->tki_perfcntr64_flags = 0;
 	mutex_exit(&ksi->tki_perfcntr64_lock);
--- old/usr/src/uts/common/io/ib/clients/rds/rdsib_buf.c	2015-08-19 07:25:05.390675473 -0400
+++ new/usr/src/uts/common/io/ib/clients/rds/rdsib_buf.c	2015-08-19 07:25:05.395969887 -0400
@@ -133,7 +133,7 @@
 	    "pending buffers: %d", rds_dpool.pool_nbusy);
 	while (rds_dpool.pool_nbusy != 0) {
 		mutex_exit(&rds_dpool.pool_lock);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&rds_dpool.pool_lock);
 	}
 
@@ -815,7 +815,7 @@
 		while (recvqp->qp_level != 0) {
 			/* wait one second and try again */
 			mutex_exit(&recvqp->qp_lock);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&recvqp->qp_lock);
 		}
 	} else if (recvqp->qp_level != 0) {
@@ -858,13 +858,13 @@
 		while (spool->pool_nbusy != 0) {
 			if (rds_no_interrupts) {
 				/* wait one second and try again */
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				rds_poll_send_completions(ep->ep_sendcq, ep,
 				    B_TRUE);
 			} else {
 				/* wait one second and try again */
 				mutex_exit(&spool->pool_lock);
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				mutex_enter(&spool->pool_lock);
 			}
 		}
@@ -887,7 +887,7 @@
 				    "EP(%p) BP(0x%p/0x%p) last "
 				    "sent/acknowledged", ep, bp, ackbp);
 				mutex_exit(&spool->pool_lock);
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				mutex_enter(&spool->pool_lock);
 
 				bp = spool->pool_tailp;
@@ -914,13 +914,13 @@
 		while (ep->ep_rdmacnt != 0) {
 			if (rds_no_interrupts) {
 				/* wait one second and try again */
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				rds_poll_send_completions(ep->ep_sendcq, ep,
 				    B_FALSE);
 			} else {
 				/* wait one second and try again */
 				mutex_exit(&ep->ep_lock);
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				mutex_enter(&ep->ep_lock);
 			}
 		}
--- old/usr/src/uts/common/io/ib/clients/rds/rdsib_cm.c	2015-08-19 07:25:05.572057522 -0400
+++ new/usr/src/uts/common/io/ib/clients/rds/rdsib_cm.c	2015-08-19 07:25:05.577585129 -0400
@@ -285,7 +285,7 @@
 				    (sp->session_state ==
 				    RDS_SESSION_STATE_FINI))) {
 					rw_exit(&sp->session_lock);
-					delay(drv_usectohz(1000000));
+					delay(drv_sectohz(1));
 					rw_enter(&sp->session_lock, RW_WRITER);
 				}
 		}
--- old/usr/src/uts/common/io/ib/clients/rds/rdsib_ep.c	2015-08-19 07:25:05.749231217 -0400
+++ new/usr/src/uts/common/io/ib/clients/rds/rdsib_ep.c	2015-08-19 07:25:05.754815062 -0400
@@ -772,7 +772,7 @@
 	    (sp->session_state == RDS_SESSION_STATE_FAILED) ||
 	    (sp->session_state == RDS_SESSION_STATE_FINI))) {
 		rw_exit(&sp->session_lock);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		rw_enter(&sp->session_lock, RW_READER);
 		RDS_DPRINTF2("rds_destroy_session", "SP(%p) State: %d WAITING "
 		    "ON SESSION", sp, sp->session_state);
@@ -863,7 +863,7 @@
 	}
 
 	/* wait 1 sec before re-connecting */
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 
 	do {
 		ibt_ip_path_attr_t	ipattr;
@@ -907,7 +907,7 @@
 		RDS_DPRINTF2(LABEL, "ibt_get_ip_paths failed, ret: %d ", ret);
 
 		/* wait 1 sec before re-trying */
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		cnt++;
 	} while (cnt < 5);
 
@@ -1115,7 +1115,7 @@
 		/* wait one second and try again */
 		RDS_DPRINTF2("rds_close_sessions", "waiting on "
 		    "pending packets", RDS_GET_RXPKTS_PEND());
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 	}
 	RDS_DPRINTF2("rds_close_sessions", "No more RX packets pending");
 
--- old/usr/src/uts/common/io/ib/clients/rds/rdsib_ib.c	2015-08-19 07:25:05.956112639 -0400
+++ new/usr/src/uts/common/io/ib/clients/rds/rdsib_ib.c	2015-08-19 07:25:05.961640945 -0400
@@ -1610,7 +1610,7 @@
 		    (sp->session_state == RDS_SESSION_STATE_PASSIVE_CLOSING) ||
 		    (sp->session_state == RDS_SESSION_STATE_CLOSED)) {
 			rw_exit(&sp->session_lock);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			rw_enter(&sp->session_lock, RW_READER);
 			RDS_DPRINTF2("rdsib_del_hca", "SP(%p) State: %d", sp,
 			    sp->session_state);
--- old/usr/src/uts/common/io/ib/clients/rdsv3/af_rds.c	2015-08-19 07:25:06.154447089 -0400
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/af_rds.c	2015-08-19 07:25:06.159798814 -0400
@@ -120,7 +120,7 @@
 
 	while (sk->sk_refcount > 1) {
 		/* wait for 1 sec and try again */
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 	}
 
 	/* this will free the rs and sk */
--- old/usr/src/uts/common/io/ib/clients/rdsv3/rdsv3_impl.c	2015-08-19 07:25:06.328716582 -0400
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/rdsv3_impl.c	2015-08-19 07:25:06.334409188 -0400
@@ -565,7 +565,7 @@
 		/* already flushing, wait until the flushing is complete */
 		do {
 			mutex_exit(&wq->wq_lock);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&wq->wq_lock);
 		} while (wq->wq_state == RDSV3_WQ_THREAD_FLUSHING);
 		break;
@@ -602,7 +602,7 @@
 	case RDSV3_WQ_THREAD_FLUSHING:
 		do {
 			mutex_exit(&wq->wq_lock);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&wq->wq_lock);
 		} while (wq->wq_state == RDSV3_WQ_THREAD_FLUSHING);
 
@@ -736,7 +736,7 @@
 
 	while (wq->wq_pending > 0) {
 		mutex_exit(&wq->wq_lock);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&wq->wq_lock);
 	};
 	mutex_exit(&wq->wq_lock);
@@ -792,7 +792,7 @@
 	mutex_init(&wq->wq_lock, NULL, MUTEX_DRIVER, NULL);
 	wq->wq_state = RDSV3_WQ_THREAD_IDLE;
 	wq->wq_pending = 0;
-	rdsv3_one_sec_in_hz = drv_usectohz(1000000);
+	rdsv3_one_sec_in_hz = drv_sectohz(1);
 
 	RDSV3_DPRINTF2("create_singlethread_workqueue", "Return");
 
--- old/usr/src/uts/common/io/ib/mgt/ibcm/ibcm_path.c	2015-08-19 07:25:06.510466687 -0400
+++ new/usr/src/uts/common/io/ib/mgt/ibcm/ibcm_path.c	2015-08-19 07:25:06.516477835 -0400
@@ -191,7 +191,7 @@
 {
 	clock_t timeout_in_hz;
 
-	timeout_in_hz = drv_usectohz(ibcm_path_cache_timeout * 1000000);
+	timeout_in_hz = drv_sectohz(ibcm_path_cache_timeout);
 	mutex_enter(&ibcm_path_cache_mutex);
 	ibcm_path_cache_invalidate = 1;	/* invalidate cache on next check */
 	if (ibcm_path_cache_timeout_id)
@@ -208,7 +208,7 @@
 	int cache_size = ibcm_path_cache_size_init;
 	ibcm_path_cache_t *path_cachep;
 
-	timeout_in_hz = drv_usectohz(ibcm_path_cache_timeout * 1000000);
+	timeout_in_hz = drv_sectohz(ibcm_path_cache_timeout);
 	path_cachep = kmem_zalloc(cache_size * sizeof (*path_cachep), KM_SLEEP);
 	mutex_init(&ibcm_path_cache_mutex, NULL, MUTEX_DEFAULT, NULL);
 	mutex_enter(&ibcm_path_cache_mutex);
--- old/usr/src/uts/common/io/ib/mgt/ibmf/ibmf.c	2015-08-19 07:25:06.793423236 -0400
+++ new/usr/src/uts/common/io/ib/mgt/ibmf/ibmf.c	2015-08-19 07:25:06.799015897 -0400
@@ -273,7 +273,7 @@
 	while (clientp->ic_recv_cb == NULL && clientp->ic_msgs_alloced != 0 &&
 	    secs > 0) {
 		mutex_exit(&clientp->ic_mutex);
-		delay(drv_usectohz(1000000)); /* one second delay */
+		delay(drv_sectohz(1)); /* one second delay */
 		secs--;
 		mutex_enter(&clientp->ic_mutex);
 	}
--- old/usr/src/uts/common/io/ib/mgt/ibmf/ibmf_saa_impl.c	2015-08-19 07:25:06.980758533 -0400
+++ new/usr/src/uts/common/io/ib/mgt/ibmf/ibmf_saa_impl.c	2015-08-19 07:25:06.986541188 -0400
@@ -1563,8 +1563,7 @@
 		 * to allow SA to transition from busy state (if busy)
 		 */
 		if (mad_status == MAD_STATUS_BUSY)
-			delay(drv_usectohz(
-			    IBMF_SAA_BUSY_RETRY_SLEEP_SECS * 1000000));
+			delay(drv_sectohz(IBMF_SAA_BUSY_RETRY_SLEEP_SECS));
 	}
 
 	if (ibmf_status != IBMF_SUCCESS) {
--- old/usr/src/uts/common/io/igb/igb_main.c	2015-08-19 07:25:07.229077803 -0400
+++ new/usr/src/uts/common/io/igb/igb_main.c	2015-08-19 07:25:07.234691301 -0400
@@ -3445,7 +3445,7 @@
 	 */
 	igb->watchdog_tid =
 	    timeout(igb_local_timer,
-	    (void *)igb, 1 * drv_usectohz(1000000));
+	    (void *)igb, drv_sectohz(1));
 
 }
 
--- old/usr/src/uts/common/io/ipw/ipw2100.c	2015-08-19 07:25:07.504165204 -0400
+++ new/usr/src/uts/common/io/ipw/ipw2100.c	2015-08-19 07:25:07.509774924 -0400
@@ -1073,7 +1073,7 @@
 	/*
 	 * wait for command done
 	 */
-	clk = drv_usectohz(1000000);	/* 1 second */
+	clk = drv_sectohz(1);
 	mutex_enter(&sc->sc_ilock);
 	while (sc->sc_done == 0) {
 		/*
--- old/usr/src/uts/common/io/iwh/iwh.c	2015-08-19 07:25:07.728728153 -0400
+++ new/usr/src/uts/common/io/iwh/iwh.c	2015-08-19 07:25:07.734375405 -0400
@@ -2163,7 +2163,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading init_text until completed or timeout
@@ -2193,7 +2193,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading init_data until completed or timeout
@@ -2234,7 +2234,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading run_text until completed or timeout
@@ -2264,7 +2264,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading run_data until completed or timeout
@@ -3872,7 +3872,7 @@
 		if (ic->ic_mach &&
 		    (sc->sc_flags & IWH_F_RATE_AUTO_CTL)) {
 			clk = ddi_get_lbolt();
-			if (clk > sc->sc_clk + drv_usectohz(1000000)) {
+			if (clk > sc->sc_clk + drv_sectohz(1)) {
 				iwh_amrr_timeout(sc);
 			}
 		}
@@ -4829,7 +4829,7 @@
 	 */
 	IWH_WRITE(sc, CSR_RESET, 0);
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 	while (!(sc->sc_flags & IWH_F_FW_INIT)) {
 		if (cv_timedwait(&sc->sc_ucode_cv,
 		    &sc->sc_glock, clk) < 0) {
@@ -4876,7 +4876,7 @@
 	 */
 	IWH_WRITE(sc, CSR_RESET, 0);
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 	while (!(sc->sc_flags & IWH_F_FW_INIT)) {
 		if (cv_timedwait(&sc->sc_ucode_cv,
 		    &sc->sc_glock, clk) < 0) {
--- old/usr/src/uts/common/io/iwp/iwp.c	2015-08-19 07:25:08.038843790 -0400
+++ new/usr/src/uts/common/io/iwp/iwp.c	2015-08-19 07:25:08.044389753 -0400
@@ -2070,7 +2070,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/* wait loading init_text until completed or timeout */
 	while (!(sc->sc_flags & IWP_F_PUT_SEG)) {
@@ -2098,7 +2098,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading init_data until completed or timeout
@@ -2139,7 +2139,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/* wait loading run_text until completed or timeout */
 	while (!(sc->sc_flags & IWP_F_PUT_SEG)) {
@@ -2167,7 +2167,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading run_data until completed or timeout
@@ -3697,7 +3697,7 @@
 		if (ic->ic_mach &&
 		    (sc->sc_flags & IWP_F_RATE_AUTO_CTL)) {
 			clk = ddi_get_lbolt();
-			if (clk > sc->sc_clk + drv_usectohz(1000000)) {
+			if (clk > sc->sc_clk + drv_sectohz(1)) {
 				iwp_amrr_timeout(sc);
 			}
 		}
@@ -4565,7 +4565,7 @@
 	 */
 	IWP_WRITE(sc, CSR_RESET, 0);
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 	while (!(sc->sc_flags & IWP_F_FW_INIT)) {
 		if (cv_timedwait(&sc->sc_ucode_cv,
 		    &sc->sc_glock, clk) < 0) {
@@ -4612,7 +4612,7 @@
 	 */
 	IWP_WRITE(sc, CSR_RESET, 0);
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 	while (!(sc->sc_flags & IWP_F_FW_INIT)) {
 		if (cv_timedwait(&sc->sc_ucode_cv,
 		    &sc->sc_glock, clk) < 0) {
--- old/usr/src/uts/common/io/ixgbe/ixgbe_main.c	2015-08-19 07:25:08.326923772 -0400
+++ new/usr/src/uts/common/io/ixgbe/ixgbe_main.c	2015-08-19 07:25:08.332631663 -0400
@@ -3705,7 +3705,7 @@
 	 */
 	ixgbe->watchdog_tid =
 	    timeout(ixgbe_local_timer,
-	    (void *)ixgbe, 1 * drv_usectohz(1000000));
+	    (void *)ixgbe, drv_sectohz(1));
 
 }
 
--- old/usr/src/uts/common/io/lvm/md/md_rename.c	2015-08-19 07:25:08.613187164 -0400
+++ new/usr/src/uts/common/io/lvm/md/md_rename.c	2015-08-19 07:25:08.618747978 -0400
@@ -1067,7 +1067,7 @@
 			cmn_err(CE_NOTE, "previous: %d, current: %d, role: %s",
 					previous, current,
 					ROLE(delta->old_role));
-			delay(3*drv_usectohz(1000000));
+			delay(drv_sectohz(3));
 			ASSERT(FALSE);
 		}
 	}
@@ -1220,7 +1220,7 @@
 		cmn_err(CE_NOTE, "    end: %llx", rtxnp->to.end);
 		cmn_err(CE_NOTE, "end: %llx\n", rtxnp->end);
 	}
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 }
 
 /*
@@ -1260,7 +1260,7 @@
 		}
 		cmn_err(CE_NOTE, "end: %llx\n", r->end);
 	}
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 }
 
 /*
--- old/usr/src/uts/common/io/mr_sas/mr_sas_tbolt.c	2015-08-19 07:25:08.806457278 -0400
+++ new/usr/src/uts/common/io/mr_sas/mr_sas_tbolt.c	2015-08-19 07:25:08.811961884 -0400
@@ -1063,7 +1063,7 @@
 	con_log(CL_ANN1, (CE_CONT, "[cmd  Status= %x] ",
 	    frame_hdr->cmd_status));
 
-	timeout = drv_usectohz(MFI_POLL_TIMEOUT_SECS * MICROSEC);
+	timeout = drv_sectohz(MFI_POLL_TIMEOUT_SECS);
 	do {
 		if (ddi_get8(cmd->frame_dma_obj.acc_handle,
 		    &mfiFrameInit2->cmd_status) != MFI_CMD_STATUS_POLL_MODE)
--- old/usr/src/uts/common/io/myri10ge/drv/myri10ge.c	2015-08-19 07:25:09.050962723 -0400
+++ new/usr/src/uts/common/io/myri10ge/drv/myri10ge.c	2015-08-19 07:25:09.056569316 -0400
@@ -2215,7 +2215,7 @@
 	}
 
 	while (old_down_cnt == *((volatile int *)&mgp->down_cnt)) {
-		delay(1 * drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		wait_time--;
 		if (wait_time == 0)
 			break;
@@ -2243,11 +2243,11 @@
 			if (polling) {
 				printf("%s: slice %d is polling\n",
 				    mgp->name, i);
-				delay(1 * drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				goto again;
 			}
 		}
-		delay(1 * drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		if (old_down_cnt == *((volatile int *)&mgp->down_cnt)) {
 			cmn_err(CE_WARN, "%s: Never got down irq\n", mgp->name);
 		}
@@ -5877,7 +5877,7 @@
 	mgp->dip = dip;
 	mgp->cfg_hdl = handle;
 
-	mgp->timer_ticks = 5 * drv_usectohz(1000000); /* 5 seconds */
+	mgp->timer_ticks = drv_sectohz(5);
 	myri10ge_test_physical(dip);
 
 	/* allocate command page */
--- old/usr/src/uts/common/io/net80211/net80211.c	2015-08-19 07:25:09.392913981 -0400
+++ new/usr/src/uts/common/io/net80211/net80211.c	2015-08-19 07:25:09.398313750 -0400
@@ -311,7 +311,7 @@
 {
 	if (ic->ic_watchdog_timer == 0 && ic->ic_watchdog != NULL) {
 		ic->ic_watchdog_timer = timeout(ic->ic_watchdog, ic,
-		    drv_usectohz(1000000 * timer));
+		    drv_sectohz(timer));
 	}
 }
 
--- old/usr/src/uts/common/io/nge/nge_main.c	2015-08-19 07:25:09.562875096 -0400
+++ new/usr/src/uts/common/io/nge/nge_main.c	2015-08-19 07:25:09.568578221 -0400
@@ -2203,7 +2203,7 @@
 			tx_en.val = nge_reg_get32(ngep, NGE_TX_EN);
 			if (tx_en.bits.smu2mac == NGE_SMU_FREE)
 				break;
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 		}
 		if (tx_en.bits.smu2mac != NGE_SMU_FREE)
 			return (DDI_FAILURE);
--- old/usr/src/uts/common/io/ntxn/unm_nic_main.c	2015-08-19 07:25:09.785622757 -0400
+++ new/usr/src/uts/common/io/ntxn/unm_nic_main.c	2015-08-19 07:25:09.791956595 -0400
@@ -1166,7 +1166,7 @@
 	 * This function schedules a call for itself.
 	 */
 	adapter->watchdog_timer = timeout((void (*)(void *))&unm_watchdog,
-	    (void *)adapter, 2 * drv_usectohz(1000000));
+	    (void *)adapter, drv_sectohz(2));
 
 }
 
--- old/usr/src/uts/common/io/nxge/nxge_hio.c	2015-08-19 07:25:09.997196843 -0400
+++ new/usr/src/uts/common/io/nxge/nxge_hio.c	2015-08-19 07:25:10.002981437 -0400
@@ -806,7 +806,7 @@
 nxge_delay(
 	int seconds)
 {
-	delay(drv_usectohz(seconds * 1000000));
+	delay(drv_sectohz(seconds));
 }
 
 static dmc_reg_name_t rx_names[] = {
--- old/usr/src/uts/common/io/pcic.c	2015-08-19 07:25:10.214057311 -0400
+++ new/usr/src/uts/common/io/pcic.c	2015-08-19 07:25:10.221718338 -0400
@@ -5501,7 +5501,7 @@
 			    cbps);
 			pcic_putcb(pcic, CB_EVENT_FORCE, CB_EF_CVTEST);
 			debounce = 0;
-			debounce_time = drv_usectohz(1000000);
+			debounce_time = drv_sectohz(1);
 		}
 		if (debounce) {
 			sockp->pcs_flags |= PCS_CARD_PRESENT;
--- old/usr/src/uts/common/io/pciex/hotplug/pciehpc.c	2015-08-19 07:25:10.557887926 -0400
+++ new/usr/src/uts/common/io/pciex/hotplug/pciehpc.c	2015-08-19 07:25:10.563292570 -0400
@@ -1128,7 +1128,7 @@
 	}
 
 	/* wait 1 sec for link to come up */
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 
 	/* check power is really turned ON */
 	control =  pciehpc_reg_get16(ctrl_p,
@@ -1167,7 +1167,7 @@
 			pciehpc_issue_hpc_command(ctrl_p, control);
 
 			/* wait 1 sec after toggling the state of EMI lock */
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 		}
 	}
 
@@ -1276,7 +1276,7 @@
 			pciehpc_issue_hpc_command(ctrl_p, control);
 
 			/* wait 1 sec after toggling the state of EMI lock */
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 		}
 	}
 
--- old/usr/src/uts/common/io/pshot.c	2015-08-19 07:25:10.765999482 -0400
+++ new/usr/src/uts/common/io/pshot.c	2015-08-19 07:25:10.771682557 -0400
@@ -3077,13 +3077,13 @@
 			cmn_err(CE_CONT,
 			    "pshot%d: %s delay %d second\n",
 			    ddi_get_instance(parent), devname, n);
-		delay(n * drv_usectohz(1000000));
+		delay(drv_sectohz(n));
 	} else if (strncmp(caddr, "delay", 5) == 0) {
 		if (pshot_debug)
 			cmn_err(CE_CONT,
 			    "pshot%d: %s delay 1 second\n",
 			    ddi_get_instance(parent), devname);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 	} else if (strncmp(caddr, "wait,", 5) == 0) {
 		p = caddr+5;
 		n = stoi(&p);
@@ -3093,13 +3093,13 @@
 			cmn_err(CE_CONT,
 			    "pshot%d: %s wait %d second\n",
 			    ddi_get_instance(parent), devname, n);
-		delay(n * drv_usectohz(1000000));
+		delay(drv_sectohz(n));
 	} else if (strncmp(caddr, "wait", 4) == 0) {
 		if (pshot_debug)
 			cmn_err(CE_CONT,
 			    "pshot%d: %s wait 1 second\n",
 			    ddi_get_instance(parent), devname);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 	}
 
 	return (NDI_SUCCESS);
@@ -3480,7 +3480,7 @@
 	while (1) {
 		pshot_walk_tree();
 		mutex_enter(&pwl);
-		(void) timeout(pshot_timeout, NULL, 5 * drv_usectohz(1000000));
+		(void) timeout(pshot_timeout, NULL, drv_sectohz(5));
 		cv_wait(&pwcv, &pwl);
 		mutex_exit(&pwl);
 	}
@@ -3549,128 +3549,128 @@
 	events.ndi_event_defs = pshot_test_events;
 
 	cmn_err(CE_CONT, "pshot: binding set of 8 events\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	rval = ndi_event_bind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_bind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: binding the same set of 8 events\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	rval = ndi_event_bind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_bind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding  all events\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_unbind_set rval = %d\n", rval);
 
 
 	cmn_err(CE_CONT, "pshot: binding one highlevel event\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 1;
 	events.ndi_event_defs = pshot_test_events_high;
 	rval = ndi_event_bind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_bind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: binding the same set of 8 events\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = PSHOT_N_TEST_EVENTS;
 	events.ndi_event_defs = pshot_test_events;
 	rval = ndi_event_bind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_bind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding one highlevel event\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 1;
 	events.ndi_event_defs = pshot_test_events_high;
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_bind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: binding one highlevel event\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 1;
 	events.ndi_event_defs = pshot_test_events_high;
 	rval = ndi_event_bind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_bind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding one highlevel event\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 1;
 	events.ndi_event_defs = pshot_test_events_high;
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_bind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: binding the same set of 8 events\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = PSHOT_N_TEST_EVENTS;
 	events.ndi_event_defs = pshot_test_events;
 	rval = ndi_event_bind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_bind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding first 2 events\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 2;
 	events.ndi_event_defs = pshot_test_events;
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_unbind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding first 2 events again\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 2;
 	events.ndi_event_defs = pshot_test_events;
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_unbind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding  middle 2 events\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 2;
 	events.ndi_event_defs = &pshot_test_events[4];
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_unbind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: binding those 2 events back\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 2;
 	events.ndi_event_defs = &pshot_test_events[4];
 	rval = ndi_event_bind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_bind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding  2 events\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 2;
 	events.ndi_event_defs = &pshot_test_events[4];
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_unbind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding  all events\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = PSHOT_N_TEST_EVENTS;
 	events.ndi_event_defs = pshot_test_events;
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_unbind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding  1 event\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 1;
 	events.ndi_event_defs = &pshot_test_events[2];
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_unbind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding  1 event\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 1;
 	events.ndi_event_defs = &pshot_test_events[3];
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_unbind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding  1 event\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 1;
 	events.ndi_event_defs = &pshot_test_events[6];
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_unbind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: unbinding  1 event\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	events.ndi_n_events = 1;
 	events.ndi_event_defs = &pshot_test_events[7];
 	rval = ndi_event_unbind_set(hdl, &events, NDI_SLEEP);
@@ -3680,12 +3680,12 @@
 	events.ndi_event_defs = pshot_test_events;
 
 	cmn_err(CE_CONT, "pshot: binding set of 8 events\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	rval = ndi_event_bind_set(hdl, &events, NDI_SLEEP);
 	cmn_err(CE_CONT, "pshot: ndi_event_bind_set rval = %d\n", rval);
 
 	cmn_err(CE_CONT, "pshot: adding 8 callbacks\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	for (i = 0; i < 8; i++) {
 		rval = ndi_event_add_callback(hdl, pshot->dip,
 		    ndi_event_tag_to_cookie(hdl,
@@ -3706,7 +3706,7 @@
 
 		cmn_err(CE_CONT, "pshot: callback, tag=%d rval=%d\n",
 		    i, rval);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 	}
 
 	cmn_err(CE_CONT, "pshot: redo event callbacks\n");
@@ -3719,11 +3719,11 @@
 
 		cmn_err(CE_CONT, "pshot: callback, tag=%d rval=%d\n",
 		    i, rval);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 	}
 
 	cmn_err(CE_CONT, "pshot: removing 8 callbacks\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 
 	for (i = 0; i < 8; i++) {
 		(void) ndi_event_remove_callback(hdl,
@@ -3733,7 +3733,7 @@
 	}
 
 	cmn_err(CE_CONT, "pshot: freeing handle with bound set\n");
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 
 	rval =	ndi_event_free_hdl(hdl);
 
--- old/usr/src/uts/common/io/rtw/rtw.c	2015-08-19 07:25:11.018651662 -0400
+++ new/usr/src/uts/common/io/rtw/rtw.c	2015-08-19 07:25:11.024341974 -0400
@@ -2474,7 +2474,7 @@
 	mutex_exit(&rsc->sc_genlock);
 	if (ic->ic_state == IEEE80211_S_RUN)
 		rsc->sc_ratectl_id = timeout(rtw_rate_ctl, ic,
-		    drv_usectohz(1000000));
+		    drv_sectohz(1));
 }
 
 static int32_t
@@ -2533,7 +2533,7 @@
 			    "rtw_new_state: sta\n");
 			rtw_join_bss(rsc, ic->ic_bss->in_bssid, 0);
 			rsc->sc_ratectl_id = timeout(rtw_rate_ctl, ic,
-			    drv_usectohz(1000000));
+			    drv_sectohz(1));
 			break;
 		case IEEE80211_M_MONITOR:
 			break;
--- old/usr/src/uts/common/io/sata/adapters/ahci/ahci.c	2015-08-19 07:25:11.258243038 -0400
+++ new/usr/src/uts/common/io/sata/adapters/ahci/ahci.c	2015-08-19 07:25:11.264555011 -0400
@@ -457,8 +457,7 @@
 	}
 
 	/* watchdog tick */
-	ahci_watchdog_tick = drv_usectohz(
-	    (clock_t)ahci_watchdog_timeout * 1000000);
+	ahci_watchdog_tick = drv_sectohz(ahci_watchdog_timeout);
 
 	ret = mod_install(&modlinkage);
 	if (ret != 0) {
@@ -1812,7 +1811,7 @@
 		}
 
 		pkt_timeout_ticks =
-		    drv_usectohz((clock_t)spkt->satapkt_time * 1000000);
+		    drv_sectohz((clock_t)spkt->satapkt_time);
 
 		while (spkt->satapkt_reason == SATA_PKT_BUSY) {
 			mutex_exit(&ahci_portp->ahciport_mutex);
--- old/usr/src/uts/common/io/sata/adapters/nv_sata/nv_sata.c	2015-08-19 07:25:11.666499012 -0400
+++ new/usr/src/uts/common/io/sata/adapters/nv_sata/nv_sata.c	2015-08-19 07:25:11.672113939 -0400
@@ -5819,8 +5819,7 @@
 			    "nvslot_stime: %ld max ticks till timeout: %ld "
 			    "cur_time: %ld cmd = 0x%x lba = %d seq = %d",
 			    nv_slotp->nvslot_stime,
-			    drv_usectohz(MICROSEC *
-			    spkt->satapkt_time), ddi_get_lbolt(),
+			    drv_sectohz(spkt->satapkt_time), ddi_get_lbolt(),
 			    cmd, lba, nvp->nvp_seq);
 
 			NVLOG(NVDBG_TIMEOUT, nvp->nvp_ctlp, nvp,
--- old/usr/src/uts/common/io/sata/adapters/si3124/si3124.c	2015-08-19 07:25:11.985485887 -0400
+++ new/usr/src/uts/common/io/sata/adapters/si3124/si3124.c	2015-08-19 07:25:11.992393382 -0400
@@ -470,7 +470,7 @@
 		return (error);
 	}
 
-	si_watchdog_tick = drv_usectohz((clock_t)si_watchdog_timeout * 1000000);
+	si_watchdog_tick = drv_sectohz((clock_t)si_watchdog_timeout);
 
 	return (error);
 }
@@ -2343,8 +2343,7 @@
 
 	SIDBG_P(SIDBG_ENTRY, si_portp, "si_poll_cmd entered: port: 0x%x", port);
 
-	pkt_timeout_ticks = drv_usectohz((clock_t)satapkt->satapkt_time *
-	    1000000);
+	pkt_timeout_ticks = drv_sectohz((clock_t)satapkt->satapkt_time);
 
 
 	/* we start out with SATA_PKT_COMPLETED as the satapkt_reason */
--- old/usr/src/uts/common/io/sata/impl/sata.c	2015-08-19 07:25:12.295720371 -0400
+++ new/usr/src/uts/common/io/sata/impl/sata.c	2015-08-19 07:25:12.302376108 -0400
@@ -6792,8 +6792,7 @@
 				scsi_hba_pkt_comp(scsipkt);
 			return;
 		} else if (rval == SATA_RETRY) {
-			delay(drv_usectohz(1000000 *
-			    DOWNLOAD_WAIT_INTERVAL_SECS));
+			delay(drv_sectohz(DOWNLOAD_WAIT_INTERVAL_SECS));
 			continue;
 		} else	/* failed - no reason to retry */
 			break;
--- old/usr/src/uts/common/io/sbp2/sbp2.c	2015-08-19 07:25:12.964253181 -0400
+++ new/usr/src/uts/common/io/sbp2/sbp2.c	2015-08-19 07:25:12.970083780 -0400
@@ -939,7 +939,7 @@
 	task->ts_time_start = gethrtime();
 	if (task->ts_timeout > 0) {
 		task->ts_timeout_id = timeout(sbp2_task_timeout, task,
-		    task->ts_timeout * drv_usectohz(1000000));
+		    drv_sectohz(task->ts_timeout));
 	}
 
 	/* notify fetch agent */
